commit fbdae2e5116d1b7b172631b50361a1a92ed47502
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 11 14:17:44 2026 +0100

    SIP version dependency
    
    SIP v6.16.0 or later is now required.

commit 6a7e8fd78ea32038a33276c068afcb73f4cb8e4b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jul 16 11:47:14 2026 +0100

    Typing fixes
    
    - Fixed the return type of the `QObject.findChild()` overloads.

commit 11cb91cc6dedd2cdce3274d7c2d1253b3bd43ecb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 13 17:46:44 2026 +0100

    Typing fixes
    
    `pyqtProperty` is now defined in QtCore.pyi (thanks to Kovid Goyal).

commit 3aa6092c44cd17a3afcd9f8ca879c4e40d2662d1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 13 16:38:52 2026 +0100

    Support for Python v3.15
    
    The project can now be built with Python v3.15 (where the limited ABI
    version targeted will be v3.13).

commit 50b0af6efa1ac307a38ed57c112a7d73def8a555
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 28 14:29:49 2026 +0000

    Enhancements
    
    pyuic5 is more resilient when handling a .ui file that has been modified by
    Qt6's version of Designer.

commit 3c387b477cd5137a78afb42d4b9b80c16ba35474
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 13 17:36:56 2026 +0000

    Python version support
    
    All of the .sip file feature checks for Python v3 have been removed.

commit 21224f973a43078b3b454a02dea5953c4683d93e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 13 17:26:12 2026 +0000

    Development regressions
    
    - Reverted the changes to the createMimeDataFromSelection() methods.

commit 06938642e1cdd4183c19e5e1e42bd2ecf122343c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 13 17:22:55 2026 +0000

    Python version support
    
    Python v3.10 or later is required.  All code specific to earlier versions
    has been removed.

commit 89d9b15991f220742b77ba05a36d638224593849
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 13 15:56:51 2026 +0000

    Use %MinimumABIVersion instead of setting the ABI in project.py.

commit 52d483d90e4bd4fc9e95b16cf1f8dc6b96179f26
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 27 22:09:18 2025 +0000

    Bug fixes
    
    - Fixed ownership issues with the result of calls to
      `createStandardContextMenu()` and `createMimeDataFromSelection()`.

commit 1ab233f24d700c591f28a12aaaec9c9677b09bfe
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jul 8 14:29:06 2025 +0100

    Imported from Mercurial

commit a53cb345984981b53ff186da9756428cf12446c5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 24 19:11:21 2025 +0100

    Use PEP 639 licensing.
    SIP v6.11 is required.
    Updated the project format.

commit 9793b9ceecbd59cabc1190a071bde7d20f98f9a0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 19 15:55:11 2024 +0100

    Fixed PYQT_OPENGL_ARRAY and PYQT_OPENGL_BOUND_ARRAY when converting from a
    buffer object.

commit 57277dcdc7339d12fd7ef1bb426a8bf0e23328d9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 14 13:09:24 2024 +0100

    Updated the build system requirements to SIP v6.9 and PyQt-builder v1.17.

commit 535c540c5277334a81413660bc39ee1bf2406977
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 14 12:39:53 2024 +0100

    Updated required type hints for PEP 585 compatibility.

commit 259305d6d0e52fcee30439e2f73852057f169669
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 13 11:52:21 2024 +0100

    Add /Transfer/ to all QNetworkAccessManager methods that return a QNetworkReply.

commit 87033c6319bac431a908f1add77aa694a7dc9cff
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jul 30 17:36:23 2024 +0100

    Ignore dunder names when trawling a type dictionary for old-style enum keys.

commit 4a0d4e4a152320dde24860a20672631084912554
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 13 10:04:41 2024 +0100

    Added tag 5.15.11 for changeset d5114ac4018e

commit 19422b0a0583d4df3b1d317fc864ef6c6bcb2b3c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jul 1 15:59:17 2024 +0100

    SIP v6.8.6 and PyQt5-sip v12.15 are now required for Python v3.13 support and
    for Linux on ARM.

commit 48eae5527fb7cef8333376d1be2caac2b1acb3b7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 20 17:16:24 2024 +0000

    Fixed a typo in pyproject.toml.

commit d399efb1504f88c916a702a96f9972956bd2e44d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 18 16:31:09 2024 +0000

    Removed METADATA.in

commit 6007e5d341481ea447ecaba0144a3f4dd0a46a03
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 18 13:36:42 2024 +0000

    Migrated from [tool.sip.metadata] to [project] in pyproject.toml.

commit 745c13dda0e29ce4f2454ab59565db9fb1ce8d61
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 2 11:30:30 2024 +0000

    Removed the product file.

commit d72a14808903fcc645a480ef6ed79e0be2d50373
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jan 1 17:42:00 2024 +0000

    Removed configure.py.

commit 4faacb5b6af65b42e53d1a0f6cfa3b342becbb93
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Nov 18 14:44:06 2023 +0000

    Fix QWidgetAction ownership annotations.

commit cf1034ce75d3034eb536b14b9012612934ef17f4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 10 10:59:28 2023 +0100

    Added tag 5.15.10 for changeset a92a518d62a1

commit 2812a2a61439336771aa198facc82e4a0ff56a2c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 10 10:59:09 2023 +0100

    Removed a compiler warning message.

commit bf98655eb892876034cbafe10388fd29de131bfc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 8 18:11:40 2023 +0100

    Properly fix the use of PyType_GetDict().
    ABI v12.13 is now needed.

commit 7e170534aff85f0356ac1383891031b34cd71974
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Oct 7 18:14:36 2023 +0100

    Fixed the memory leak related to sipPyTypeDict() and Python v3.12.

commit 33c39942c80f0dd9df8cd95d540ead9f7dcfa3dd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 22 10:11:37 2023 +0100

    Disabled the automatic generation of the type hint for pyqtSlot.

commit d162f3f9cdffc16b17428217eaef9e172bb75426
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Aug 27 11:23:49 2023 +0100

    Use Latin-1 rather than the local encoding to write the embedded qt.conf file.

commit 42da37116869065bea186381574b0f3a12d4b536
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Aug 26 15:15:42 2023 +0100

    Fixed some legacy unittest calls removed in Python v3.12.

commit 133be8a9bcab9075ea99e262821a32028521f954
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jul 27 18:04:03 2023 +0100

    Really fix the QString/None regression.

commit cdb747faaed364587d1c2d6d39bcecb2689791c9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 21 13:54:45 2023 +0100

    Fixed a regression in using None as a QString.

commit 2feedd8b2b09760868fc241c8b036e72cfd6dc4d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 16 18:06:21 2023 +0100

    Fixes from an apparently rogue metasip scan.

commit 1dde38392700332a0c8801c58435dd27a27370fb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 16 17:27:58 2023 +0100

    Fixed the type hints for all ellipsis arguments.

commit 717370e1ae9e74a3845197c7bef271506575523c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 14 13:35:02 2023 +0100

    Fixed the type hints for QString.

commit 5b70b39684eeaf0d7620e25ab1c03edea3871e45
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 12 16:32:28 2023 +0100

    Fixed the type hints for QObject.findChild() and QObject.findChildren().

commit 8c5107fd7d4e010c6457d0ebd1c783f5c34ad972
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jul 9 12:22:17 2023 +0100

    Fixed pyrcc for reproducable builds.

commit 63e6a91ea757d4c76e222f032574e38d3ac179ea
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jul 5 17:19:35 2023 +0100

    Fixed the type hints for PYQT_SLOT and pyqtSlot().

commit 84a369a52660360327359ac5d0cbb87d1114113a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 8 16:38:31 2023 +0100

    Added the missing QEvent.Type.EnterEditFocus and QEvent.Type.LeaveEditFocus
    enum members.

commit 753dd9a5da3c0a3f0ee3615b6ff3cb5b3a5d8f10
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jun 8 15:42:18 2023 +0100

    Added the missing QEvent.Type.NativeGesture member (Qt v5.2 and later).

commit 1944464908a538d27db5cab466493442aa20d05d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun May 21 13:28:14 2023 +0100

    Fixed the QDeadlineTimer ctors.

commit 8226cd7ff180d0ecfe6f631894774498d35465e9
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Feb 2 11:57:34 2023 +0000

    Added tag 5.15.9 for changeset c8aba8cdb7c0

commit 45c81cadcb1443f45caa908626883283da89912c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jan 31 17:01:02 2023 +0000

    Fix the order in which modules are built so that the composite Qt module is
    built after everything it depends on.

commit f93d48a0ef34eb8cbf49eaf6ac5a6257a2d8b1d2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 22 16:02:42 2023 +0000

    Added tag 5.15.8 for changeset f3d5a635ec21

commit a73067ab0273356bccb548f3b79c410baba60296
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 22 14:00:04 2023 +0000

    Ensure the PyQt-Qt5 dependency is correct.

commit 775bec31d3e0319907d125fe3c343ce858625d8e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 22 11:43:27 2023 +0000

    Updated for new elements added in Qt v5.15 patch versions.

commit 68ce441f6e343b94969201b89f15e00f8d79363f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Dec 13 17:30:38 2022 +0000

    Added the missing QBluetoothDeviceDiscoveryAgent.DiscoveryMethod members.

commit e0407c31759f9686d9c67075ce77edf9562cd4f0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 30 13:33:34 2022 +0000

    SIP v6.6.2 is now a minimum requirement for the array support.

commit 1f3db7364545cb9dd8119bb2fa2ed55d6fba6f7e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 28 02:58:07 2022 +0100

    Fixed uic.compileUiDir() when the default system encoding is not UTF8.

commit d3d94880112b0d3aefbd294a44cb10648e621120
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Oct 10 02:47:03 2022 +0100

    Fixed QBoxLayout.insertItem() ownership bug.

commit c21d867e59bc7cc9f23819d0f76fe55cc57e82c8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 17 23:13:31 2022 +0100

    Fixed calling QObject::inherits() from C++ on instances that were created by
    Python (and so was an instance of a generated derived class), had it's
    ownership transfered to C++ and the Python object garbage collected.  This
    broke all sub-class converter code.

commit 2b2a817cb271a5e04e34e5bfe8260ad1276efb6b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jun 18 14:03:20 2022 +0100

    Added tag 5.15.7 for changeset b6de090403e0

commit d509436ac636a7d67d298080177a4bb0d65d9535
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jun 6 18:03:56 2022 +0100

    Reordered QPainter methods so that QPolygon[F] are not handled as sequences.

commit e6d7372ae9abd612c77f1c7a8d09c4694f59d214
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 21 10:09:16 2022 +0100

    Refactored the QPainter draw methods to exploit sip.array objects.

commit 7522027e2391f9403ffe1f351f46c1ab6a3662c8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue May 17 07:23:55 2022 +0100

    PyQt5-sip v12.11 is now required to enable support for sip.array.

commit ed6c4b511ec84671bb6c998be42e481f608be732
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed May 4 09:38:13 2022 +0100

    Import the enum module in QtCore.pyi.

commit 335b714cf3a7db7bc7ad34f693f16401c1a03ff2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 28 11:07:45 2022 +0000

    Documented why there is a need to be explicit about the name of the sip module.

commit f983bd406c188685f9cfc8a9f29d980523d4eff5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 28 11:01:47 2022 +0000

    There is no need to be explicit about the name of the sip module.

commit fbb1ae26702af6293aaa4f01a28b4af4d4a83bb2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Feb 27 17:22:24 2022 +0000

    Be explicit abou tthe sip module name and ABI version.

commit e0286ad2eac1bfb3c73a2c92dd3f769877f69c58
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 26 15:04:10 2022 +0000

    Fixed a bug in the tidying up of QQmlListProperty.

commit bd2cb64b7e18712cde22fb89c66da54bdde1a145
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 1 10:35:25 2022 +0000

    Release the GIL when calling the QThreadPool dtor.

commit 40c1bc95a13c1b81531331e4b28e3c4d8ad9f093
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 27 17:29:16 2022 +0000

    Fixed the corruption of HTML in translated messages by pylupdate.

commit ba39c6b4fb5a7d3efc27c05e48b2dd87642fd840
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 11 17:21:42 2021 +0000

    Added support for the IpAddressEntry member of QSsl.AlternativeNameEntryType.

commit 9573e239f60ef2cd8af13fab403dd3860f8aa23e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 11 16:27:29 2021 +0000

    Fixed the NEWS file.

commit 17108a9cfc6a99f5fedd0a7eafbde91ce23a52df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Dec 11 16:24:48 2021 +0000

    Fixed the handling of the result of QSslCertificate.subjectAlternativeNames().

commit ce2a9174b7609e42240fb24a5d2f78757c18c1a2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Nov 23 17:53:37 2021 +0000

    Various fixes to the QUrl.FormattingOptions enum.
    Removed a redundant ctor from QFlags in .pyi files.

commit 2ce85ec018048126cc99c3279634e4ecfcfd7440
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Nov 18 15:36:21 2021 +0000

    Added the missing QBluetoothUuid ctors.

commit b2578b291a6f085fd5c9a0d81f44e52d065e6b70
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 12 15:35:39 2021 +0000

    Backed out changeset 24d217336964
    The annotations aren't superfluous.

commit 7fd10c58226129d78d73d427b86e36828a45ce1b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 12 15:28:49 2021 +0000

    Removed some superfluous /PyInt/ annotations.

commit 7e48d9b1b5b185bab38ddeb0391c6cf68708657c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 29 11:57:07 2021 +0100

    Added tag 5.15.6 for changeset 34cb760572b8

commit aafd4f6c95baade7682f6c710da19405a8736725
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 17:26:56 2021 +0100

    Generate typing information to ignore connect() in pyuic generated code.

commit 32d1e9b63460f43fbb7cee3fa380e760130786a3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 17:26:00 2021 +0100

    Remove QObject.__getattr__() from QtCore.pyi as it hides missing/mistyped
    attribute names.

commit 19209c51b28b05e54cbcac92308844952b7bd0ac
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 15:56:32 2021 +0100

    Fixed pickling of QByteArray with Python v3.10.

commit 5dc5e65eb7dd039680f1951973347debbcb5e7b0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 24 15:43:32 2021 +0100

    Added the QByteArray pickle test.

commit 079d3bd2e26b4e1a1a4ae8656ebdc6723e5cd044
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Oct 12 16:59:27 2021 +0100

    Added tag 5.15.5 for changeset ab35506238c2

commit 97670a7ab7d6b57b7865c595e7b3925a66b6bfba
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Oct 7 11:36:07 2021 +0100

    Fixed pyuic's handling of QFontDatabase.

commit b4048aba08b4871e410fcd43839047e6ff7ee275
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Sep 25 15:06:11 2021 +0100

    Fixed the invocation of meta-type methods so that the result is available.

commit 354923574739e9cbed30b878e05e27565970c6e7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Aug 10 09:05:09 2021 +0100

    Fixed the README.

commit dcf722e5a548d079fc2857d3fc384844d84b6b7e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Jul 9 14:35:56 2021 +0100

    Fixed the ordering of the QCompleter ctors so that a QAbstractItemModel
    argument doesn't get interpreted as a parent QObject argument.

commit 51c3374850f0b0a164faec4d56fa04a79be5f56b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 21 13:52:49 2021 +0100

    Fixed the QMultiMap mapped type.

commit 7ec27d41d70cb3151a32fb109125a8dd144b5256
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 20 11:44:44 2021 +0100

    Improved an error message.

commit 642bf5d66a12bc6f81e7e50da40b895b658e9a6f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Apr 15 17:41:36 2021 +0100

    Added the missing QPdfWriter.setPageSize() overload.

commit 5dde44a3d685bd82d7c753da5b72e2430d503771
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 14 18:40:00 2021 +0100

    pylupdate5 now assumes the UTF-8 codec and specifies v2.1 as the .ts file
    format.

commit b1f303d91267c933c3b2cf3842252c909dd73450
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:21:39 2021 +0000

    Added tag 5.15.4 for changeset b30547186181

commit 6aa4a5eabe598cc2aa2dc0ee18154d4f87dd6398
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:21:34 2021 +0000

    Released as v5.15.4.

commit 17cfdb9af7ac9f340872738c15d8d6c7a45523a6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Mar 5 09:20:59 2021 +0000

    Fixed the embedded conf file.

commit 20735c6368bf949de0f8ea92b45dca6d0507082f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Mar 4 16:54:11 2021 +0000

    Fixed the Qt subdirectory in __init__.py.

commit 5d869041d28b3e7c84639ee504642337737bc929
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Mar 2 14:28:35 2021 +0000

    Updated the NEWS file.

commit 826110b2a2afd79628a44bb39230b1ebd1779f39
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 27 17:33:21 2021 +0000

    Fixed the project dependencies.

commit d0fdfb6356502306da35bba0b1c5e068b2fdf45f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Feb 27 15:04:03 2021 +0000

    Updated the product file.

commit bde2d7bdb005396d45371d0c5342275d06f7f85c
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:23:16 2021 +0000

    Added tag 5.15.3 for changeset 301db948366e

commit 34fbd0da01b3f7a2a75812e80eb6714da624a10e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:23:11 2021 +0000

    Released as v5.15.3.

commit f3d93c57849fdcfbff11457d0b187fb816fe9b78
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 22 17:22:34 2021 +0000

    Updated the NEWS file.

commit 30a274ef6bab1eceecdc3e4d6204d08bebba20df
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Feb 15 17:37:39 2021 +0000

    Fixed a number of potential deadlocks in QSettings and QLibraryInfo.location().

commit 1963c57520c33294ad100e52a8ee1240089f43cb
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 9 17:40:22 2021 +0000

    Added the dependency on the Qt wheel.

commit 6dda5573370956776310e1ab437eb3b65cc41b49
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Feb 9 16:03:21 2021 +0000

    Removed QtNetworkAuth.

commit 7806c6a8c27a4643699eddbbac91a788bab838c4
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Jan 28 17:51:22 2021 +0000

    Fixed pylupdate's handling of filenames with non-Latin1 characters.

commit 29e5698b7904f7bc97b8b73685160ed50d9f964b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 17:45:27 2021 +0000

    Fixed a type hint typo.

commit 47af8b3b1593cacaa6f26a39c4d273440cac5efc
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Jan 3 17:36:26 2021 +0000

    Some type hint fixes.

commit 0b3cc6cfc3ff6ca54340ef911ac6ba3b919e1b75
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Dec 24 12:33:04 2020 +0000

    Removed some forgotten uses of SIP_SSIZE_T.

commit 986e777ce05b77f65904a91d00759b18b5c9ff4b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 14 13:13:10 2020 +0000

    Don't call the QCoreApplication dtor if we didn't call the ctor.

commit 78281fa14a373ad11d72bfab43065a03c1b1d8f3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Dec 7 16:41:15 2020 +0000

    Added the missing QImage.setAlphaChannel().

commit a5b58dad7bd08d2df10d59ad4a85ade9ef7c3a92
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 23 11:07:03 2020 +0000

    Added tag 5.15.2 for changeset ddf234c8c683

commit 2e2d1378e22f9c00ba954a1c6545fb4fe4125240
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 23 11:06:40 2020 +0000

    Released as v5.12.2.

commit 1a8f3db17aa819fe75220bd66d8daeef17218752
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Nov 23 09:41:16 2020 +0000

    Updated the NEWS file.

commit 07b75d2263395454d63095f2b75486a8f8a66656
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Nov 13 15:16:46 2020 +0000

    Eliminated a couple of Python deprecation warnings.

commit d68abef504fb171e63b5f7455ba94b44a690dfa2
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Oct 30 17:39:03 2020 +0000

    Fixed some typos in the OpenGL bindings.

commit a56fdc2ffa99368294906fdbf88829811304d668
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Oct 28 14:33:44 2020 +0000

    Updated to project v15.

commit 44817658f7a1f5e8fa1d6e1609bc7270bb3fbf51
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 13:44:11 2020 +0100

    Eliminate deprecation warnings from Python v3.9.

commit c6bf3ff43f73716254cefd04a2748b225c80f0ed
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Oct 4 13:23:01 2020 +0100

    Ensure that QtQuick will build without OpenGL.

commit 33325df86b0ec520bb3684c2f488d451ad17d12a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 28 12:46:27 2020 +0100

    Added a missing /TransferBack/ annotation to QLayout.removeWidget().

commit 7f429b17faf661d4139bc5c6b3c40304ec1841ee
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Sep 27 11:59:39 2020 +0100

    Fixed hashable signals for unsupported versions of Python.

commit e4933f7590e2fffec2be35513b96dc9a4a067a28
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 24 12:14:37 2020 +0100

    Fixed QActionGroup.ExclusionPolicy.None and QOcspRevocationReason.None.

commit 76a91c66de5abdae946b55ed5ac05fab07cc01ed
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 18 10:03:17 2020 +0100

    Check the version of Qt is supported.

commit 49f8afdc0d55e99e3e51d299194571118eef96f8
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 15:30:13 2020 +0100

    Require PyQt-builder v1.6 as we no longer specify the sip module and ABI.

commit 0183ebfb3a9e8ffae3e1ec8e0df93eff5da40c35
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 11:57:06 2020 +0100

    Added the QT_MAC_WANTS_LAYER workaround for lost paint events.

commit 13583bddb321ad8a8221e0a007306f33ef820563
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Sep 17 09:24:44 2020 +0100

    Fixed building against Qt v5.10 and earlier.

commit c03747e78bc49fee0cd37f4752139988f641f2f6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Sep 14 18:20:42 2020 +0100

    Bound signals are now hashable.

commit 962c7cd3dec2f18439bdaac51f5a0322e9a55c1b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 14:40:15 2020 +0100

    Added tag 5.15.1 for changeset f99d8e2299f1

commit c10709ffc43b910dfb68a4bb095880619d0f2aaa
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 14:40:10 2020 +0100

    Released as v5.15.1.

commit d97c80d4a3e025e00098b1febc9b525e575c091e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 14:33:59 2020 +0100

    Updated the NEWS file.

commit 457ea4a0e882c60a4f1d21a3d6c8d7f8c97d4c51
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri Sep 11 13:39:49 2020 +0100

    Fixed bugs related to QSGNode.

commit 9621b1b6040a16e9c881f905bbdfe347937b8c89
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu Aug 27 18:29:04 2020 +0100

    Fixed building with compilers without constexpr support (ie. MSVC 2015).

commit 52daf89d7fbbb875e86aec559d3bed7c406c2509
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Aug 22 14:22:10 2020 +0100

    Set the name of the sip module explicitly.

commit b24374e3be5662d71c213b6bc6f328dc699dd603
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Aug 8 15:58:33 2020 +0100

    Fix a signal disconnect() when None is passed as the argument.

commit 38ea379e28a94878df3d3dabd0dc5c8668895097
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 11 13:14:24 2020 +0100

    Bound signals can now be tested for equality.

commit 764ac62874e36ceba07a800e91425a1127a40809
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat Jul 11 09:49:10 2020 +0100

    Raise an appropriate exception if Q_CLASSINFO, Q_ENUM, Q_ENUMS, Q_FLAG or
    Q_FLAGS are used on PyPy.

commit eb04b1f129a2b8da5d422a2fa0c8de201aee5078
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Jun 16 17:28:05 2020 +0100

    Added the QtTextToSpeech module.

commit f684fc6b04f08f5a2e8546a24e88d858e0ca380e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Jun 10 15:14:27 2020 +0100

    None is now interpreted as a null QJsonValue.

commit 6246ba8149aa5650b25589b60a9230e29537a83e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon Jun 1 01:32:33 2020 +0100

    Fixed the platform tag for macOS wheels.

commit 9948b9d5003b584b0e2a3aa8b7652a4d7b2d5f5b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 30 22:21:16 2020 +0100

    Added tag 5.15.0 for changeset 5e7e90d17d36

commit d2ee683e57278da425729b0e543c5cbe02c5213d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 30 22:21:08 2020 +0100

    Released as v5.15.0.

commit 374a0270ae4e6b22a3b0832164b43d37bf54492a
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 30 17:07:31 2020 +0100

    Added a missing private copy ctor.

commit 8b258b7de134518e0ac8042fff80054d94b1b9f7
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 29 17:23:36 2020 +0100

    Updated the NEWS file.

commit 929e16da86ab54834f2d198e4f7182aa3b605d5e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Fri May 29 16:46:33 2020 +0100

    Added the QtQuick3D module.

commit 1d7dcebcd3a928fc53ebc1d4f47075573d23d641
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 28 11:07:38 2020 +0100

    Updated QtWebSockets, QtWidgets and QtXml for Qt v5.15.0.

commit 54bb5102c06cc567e05ba35d78549cacbcb6356e
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 28 10:41:33 2020 +0100

    Updated QtQuick, QtRemoteObjects and QtSvg for Qt v5.15.0.

commit 18ecfdaa8cae46c5fb632aaab8f674dfb75918e1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed May 27 21:40:55 2020 +0100

    Updated QtMultimedia, QtMultimediaWidgets, QtNetwork and QtQml for Qt v5.15.0.

commit dbd1b97a243ca91363c87517292ccc75c1dbff06
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed May 27 20:28:44 2020 +0100

    Updated QtGui and QtHelp for Qt v5.15.0.

commit 8e10756d5b51846af35abcc2c584a83f2123fa48
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed May 27 17:50:01 2020 +0100

    Updated QtCore for Qt v5.15.0.

commit 93390465dfbcfad271aeeb29cad8c378e6873865
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 18 16:17:03 2020 +0100

    Fixes for the new callStaticMethod() overload.

commit ce8a9c2866e1d4e971ed0671cdff0d783940f0dd
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Mon May 18 10:13:44 2020 +0100

    Implemented the QAndroidJniObject.callStaticMethod() overload that takes and
    returns a QJsonDocument.

commit d76678952d7d3acdca90d959ef9b6c07e83f0cd6
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 16 16:28:26 2020 +0100

    Initial pass of Qt v5.15.0.

commit 33de3f89f607f6cc761453514d113466566260d3
Merge: f0081b1 29ccac3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 16 09:30:14 2020 +0100

    Merged the 5.14-maint branch.

commit 29ccac3b6638ac3a5f1f780e685271f2533ba3c0
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 9 11:54:56 2020 +0100

    SIP v5.3 is now a minimum requirement.

commit 2837015e76162247e830172979c3d92d23a4e980
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 9 11:35:31 2020 +0100

    SIP v6 can be used as we don't use anything that will be removed.

commit 07eab142df233d37d17ca1858e61578308652f41
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sat May 9 11:32:53 2020 +0100

    Fix the ABI version of the sip module in anticipation of newer, incompatible,
    versions.

commit ab87a45f02169725f4f9300bf0e6dea760b4d4e1
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 7 17:31:56 2020 +0100

    Added support for PyQt5 sub-packages (possibly the PyQt5.sip module) that are
    built with setuptools rather than a modern pip.

commit 43a162400cc5564eabfbb10c582fb21c0a1e0b4d
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Thu May 7 13:34:59 2020 +0100

    Fixed memory leaks in the __getitem__ method of QPolygon, QPolygonF and
    QXmlStreamAttributes.

commit 4f984e4388a5a55e60d844b8c7ef45235e272d54
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue May 5 15:33:07 2020 +0100

    Fixed QSGTexture.Filter.None.

commit 4ea9c13db0a4458d0f802848c84ea17a9df74b28
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue May 5 15:13:42 2020 +0100

    Strengthened the warning at the top of .py files created by pyuic.

commit 2a24bc894402926fcd43b1a3c695537f8e8b3ae3
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Sun Apr 26 10:19:17 2020 +0100

    Automatically convert QGradient to a sub-class if possible.

commit ecc28345bf56aed75bb3a7e248117d51d76bf68b
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 22 12:34:59 2020 +0100

    Require a version of SIP with the race condition fix.

commit 649f4dfc5e31fd368c0466e1951d21fcb28f8a04
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 22 12:05:51 2020 +0100

    Properly fixed the race condition. SIP v5.2.1 or later is also required.

commit 5a736084e914be6d9f82d009d1154217ba420e61
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Wed Apr 22 10:47:41 2020 +0100

    Added support for QUndoView to pyuic5.

commit 6b5350dacc92113fe2f434b2fc202532cf0fbcaf
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 21 18:51:29 2020 +0100

    Added the remaining QtMultimedia control classes.

commit 892bc34f96c160626e54612d7e65af1a7c6c72f5
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 21 17:58:20 2020 +0100

    Added the remaining camera related control classes.

commit b657865200cd71068fba339ca320f970c02eb91f
Author: Phil Thompson <phil@riverbankcomputing.com>
Date:   Tue Apr 21 15:45:04 2020 +0100
